<!DOCTYPE html>
<html lang="en">

<head>

    <link rel="stylesheet" href="/style-global/css/azia-vendor.css?v=[cs_version]">

    {% with custom_css="/dashboard/css/dashboard-custom.css", title="Product Payment Process", meta_description="Product Payment Process"%}
    {% include 'snippets/global-header-include.tpl' %}
    {% endwith %}

</head>

<body id="page-top" class="az-body">
    {% include 'snippets/pb-loader.tpl' %}
    {% include 'snippets/guide/container-modal.tpl' %}
    {% include 'snippets/guide/container-modal.tpl' %}
    {% with
    show_logo=true,
    logo='/style-global/img/icons/account.png',
    show_title=true,
    title= "account management",
    show_mobilelogo=true,
    mobilelogo = "/style-global/img/icons/account.png",
    left_nav_links = false,
    nav_links = false,
    index_link = "./index.html",
    show_help_icon=true,
    show_news_icon=false,
    show_apps_menu_icon=true,
    show_profile_menu_icon=true
    %}
        {% include 'snippets/parametric/pb-header-menu.tpl' %}
    {% endwith %}

    <div class="az-content">

        <div class="container">
            <div class="content-wrapper w-100">
                <form action="">
                    <div id="wizard" class="wizard">
                        <div class="steps">
                            <ul class="nav nav-tabs" id="myTab">
                                <li class="current stepIndicator">
                                    <a id="0" href="#">
                                        <span class="number">1</span>
                                        <span class="title"><span data-i18n="Order Details">Produktauswahl</span></span>
                                    </a>
                                </li>
                                <li class="disabled stepIndicator">
                                    <a id="1" href="#">
                                        <span class="number">2</span>
                                        <span class="title"><span data-i18n="Payment & Address">Zahlung &
                                                Adresse</span></span>
                                    </a>
                                </li>
                                <li class="disabled stepIndicator">
                                    <a id="2" href="#">
                                        <span class="number">3</span>
                                        <span class="title"><span data-i18n="Review & Purchase">Prüfen &
                                                Bestellen</span></span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                        <div class="content step-content">
                            <!-- select product step 0 -->
                            <section id="wizard-p-0" class="body d-none">
                                <!-- order title -->
                                <h4 class="text-center">Bestellung - Familien Planer Premium </h4>
                                <p class="text-center">Konto: demo_1@planblick.com</p>

                                <div class="row">
                                    <div class="col-lg-7 col-md-6 order-2 order-md-1" data-id="left-col">

                                        <div class="az-list-item">
                                            <span class="subtitle">Paketübersicht</span>
                                        </div>

                                        <div class="media product_description">
                                            <label>Paket:</label>
                                            <div class="media-body">
                                                Familien Planer Premium
                                            </div>
                                        </div>
                                        <div class="media product_description">
                                            <label>Apps:</label>
                                            <div class="media-body">
                                                Familien Kalender, Kontakt Manager, Aufgaben, Notizen
                                            </div>
                                        </div>
                                        <div class="media product_description">
                                            <label>Logins:</label>
                                            <div class="media-body">
                                                5
                                            </div>
                                        </div>
                                        <p>Inbegriffen :
                                        </p>
                                        <div class="text-left">
                                            <ul class="list-arrow mb-40px">
                                                <li>Familien Kalender
                                                </li>
                                                <li>Kontakt Manager </li>
                                                <li>Aufgaben </li>
                                                <li>Notizen </li>
                                                <li>5 Benutzer Logins</li>
                                                <li>Ohne Data Limit </li>
                                                <li>Werbefrei </li>
                                                <li>Community Support-Forum </li>
                                            </ul>
                                        </div>

                                    </div><!-- /col -->
                                    <div class="col-lg-5 col-md-6 order-1 order-md-2" data-id="right-col">

                                        <div class="az-list-item">
                                            <span class="subtitle">Laufzeit-Option auswähen:
                                            </span>
                                        </div>

                                        <div class="frb-group">
                                            <div class="frb">
                                                <input type="radio" id="radio-button-0" name="radio-button" value="0">
                                                <label for="radio-button-0" class="pd-l-50 pd-t-10">
                                                    <span class="font-weight-bold">3 Monate Laufzeit</span> <i
                                                        class="icon ion-ios-information-circle-outline"></i>
                                                    <div class="d-flex align-items-end">
                                                        <span class="h4 pr-1">€49,00 </span>
                                                        <span class="small mb-2">inkl. MwSt</span>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="frb">
                                                <input type="radio" id="radio-button-1" name="radio-button" value="1">
                                                <label for="radio-button-1" class="pd-l-50 pd-t-10">
                                                    <span class="font-weight-bold">6 Monate Laufzeit</span> <i
                                                        class="icon ion-ios-information-circle-outline"></i>
                                                    <div class="d-flex align-items-end">
                                                        <span class="h4 pr-1">€89,00 </span>
                                                        <span class="small mb-2">inkl. MwSt</span>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="frb">
                                                <input type="radio" id="radio-button-2" name="radio-button" value="2"
                                                    checked="">
                                                <label for="radio-button-2" class="pd-l-50 pd-t-10">
                                                    <span class="font-weight-bold">1 Jahr Laufzeit <span
                                                            class="tx-primary">spar 20% </span> </span> <i
                                                        class="icon ion-ios-information-circle-outline"></i>
                                                    <div class="d-flex align-items-end">
                                                        <span class="h4 pr-1">€129,00 </span>
                                                        <span class="small mb-2">inkl. MwSt</span>
                                                    </div>
                                                </label>
                                            </div>
                                        </div>
                                        <div class="az-list-item align-items-start">
                                            <i class="icon ion-ios-information-circle-outline pr-2"></i>
                                            <p>Dies ist eine einmalige Zahlung, kein Abo. Nach dem Kauf ist keine Kündigung
                                                erforderlich.
                                            </p>
                                        </div>
                                    </div> <!-- /col -->
                                </div> <!-- /row -->
                            </section>
                            <!-- payment and address step 1 -->
                            <section id="wizard-p-1" class="body d-none">
                                <!-- order title -->
                                <h4 class="text-center">Bestellung - Familien Planer Premium </h4>
                                <p class="text-center">Konto: demo_1@planblick.com</p>

                                <div class="row">
                                    <div class="col-lg-7 col-md-6 order-2 order-md-1" data-id="left-col">

                                        <div class="az-list-item">
                                            <span class="subtitle">Zahlungsmethode</span>
                                        </div>

                                        <div class="d-flex justify-content-between pb-4">
                                            <div class="img-payment-icon">
                                                <img src="/style-global/img/icons/icon-sepa.svg" alt="">
                                            </div>
                                            <p class="mg-b-0 mg-l-20">Derzeit können wir nur SEPA-Überweisungen als
                                                Zahlungsmethode akzeptieren.
                                                Die vollständigen Banküberweisungsinformationen finden Sie in Ihrer
                                                Kaufbestätigungs-E-Mail.
                                            </p>
                                        </div>

                                        <div class="az-list-item">
                                            <span class="subtitle">Kontakt und Rechnungsadresse</span>
                                        </div>

                                        <div id="address_form_container">
                                            <div id="address-form-wrapper">
                                                <div class="row row-sm align-items-center">

                                                    <div class="col-lg-4 mg-t-10 mg-lg-t-0 order-2 order-lg-1">
                                                        <label for="email" class="form-label"><span
                                                                data-i18n="email">E-Mail:</span>
                                                            <span class="tx-danger">*</span></label>
                                                        <input id="email" name="email" data-group="info"
                                                            data-validate-as="email" type="email" class="form-control"
                                                            required="">
                                                        <span role="alert" id="emailError" class="error" aria-hidden="true">
                                                            <span data-i18n="emailError">Bitte gebe eine gültige
                                                                E-Mail-Adresse ein.</span>
                                                        </span>
                                                    </div><!-- col -->
                                                    <div class="col-lg-4 mg-t-10 mg-lg-t-0 order-1 order-lg-2">
                                                        <input name="address_kind" type="radio" data-group="info"
                                                            value="private" id="address_kind_private" checked="">
                                                        <label for="address_kind_private"> <span
                                                                data-i18n="private">Privatperson</span> </label>
                                                        <br><input name="address_kind" type="radio" data-group="info"
                                                            value="company" id="address_kind_company">
                                                        <label for="address_kind_company"> <span
                                                                data-i18n="company">Firma</span> </label>
                                                    </div><!-- col -->
                                                    <div class="col-lg-4 order-3">

                                                    </div><!-- col -->
                                                </div>
                                                <div class="row row-sm mg-t-10 mg-lg-t-10 align-items-start" id="contact">
                                                    <div id="company_input_wrapper" class="col-lg-4" style="display: none;">
                                                        <label for="companyname" class="form-label"><span
                                                                data-i18n="companyname">Firmenname:</span>
                                                            <span class="tx-danger">*</span></label>
                                                        <input id="companyname" name="companyname" data-group="info"
                                                            data-validate-as="input" type="text" class="form-control">
                                                        <span role="alert" id="companynameError" class="error"
                                                            aria-hidden="true">
                                                            <span data-i18n="companynameError">Gebe einen Firmennamen
                                                                ein.</span>
                                                        </span>
                                                    </div><!-- col -->
                                                    <div class="col-6 col-lg-4 mg-t-10 mg-lg-t-0">
                                                        <label for="firstname" class="form-label"><span
                                                                data-i18n="firstname">Vorname:</span><span
                                                                data-required-for-private="true"
                                                                class="tx-danger">*</span></label>
                                                        <input id="firstname" name="firstname" data-group="info"
                                                            data-validate-as="input" type="text" class="form-control"
                                                            required="">
                                                        <span role="alert" id="firstnameError" class="error"
                                                            aria-hidden="true">
                                                            <span data-i18n="firstnameError">Gebe einen Namen ein.</span>
                                                        </span>
                                                    </div><!-- col -->
                                                    <div class="col-6 col-lg-4 mg-t-10 mg-lg-t-0">
                                                        <label for="lastname" class="form-label"><span
                                                                data-i18n="lastname">Nachname:</span><span
                                                                data-required-for-private="true"
                                                                class="tx-danger">*</span></label>
                                                        <input id="lastname" name="lastname" data-group="info"
                                                            data-validate-as="input" type="text" class="form-control"
                                                            required="">
                                                        <span role="alert" id="lastnameError" class="error"
                                                            aria-hidden="true">
                                                            <span data-i18n="lastnameError">Gebe einen Nachnamen ein.</span>
                                                        </span>
                                                    </div><!-- col -->

                                                </div>
                                                <div class="row row-sm mg-t-30 align-items-end">
                                                    <div class="col-8">
                                                        <label for="street" class="form-label"><span
                                                                data-i18n="street">Strasse:</span>
                                                            <span class="tx-danger">*</span></label>
                                                        <input id="street" name="street" data-group="info"
                                                            data-validate-as="input" type="text" class="form-control"
                                                            required="">
                                                        <span role="alert" id="streetError" class="error"
                                                            aria-hidden="true">
                                                            <span data-i18n="streetError">Gebe eine Adresse und Hausnummer
                                                                ein.</span>
                                                        </span>
                                                    </div><!-- col -->

                                                    <div class="col-4 mg-t-10 mg-lg-t-0">
                                                        <label for="number" class="form-label"><span
                                                                data-i18n="number">number</span><span
                                                                class="tx-danger">*</span></label>
                                                        <input id="number" name="number" data-group="info"
                                                            data-validate-as="input" type="text" class="form-control"
                                                            required="">
                                                        <span role="alert" id="numberError" class="error"
                                                            aria-hidden="true">
                                                            &nbsp;
                                                        </span>
                                                    </div><!-- col -->
                                                    <div class="col-lg-4">

                                                    </div><!-- col -->

                                                </div>
                                                <div class="row row-sm mg-t-10 align-items-start">
                                                    <div class="col-lg-4">
                                                        <label for="zipcode" class="form-label"><span
                                                                data-i18n="zipcode">PLZ:</span>
                                                            <span class="tx-danger">*</span></label>
                                                        <input id="zipcode" name="zipcode" data-group="info"
                                                            data-validate-as="input" type="text" class="form-control"
                                                            required="">
                                                        <span role="alert" id="zipcodeError" class="error"
                                                            aria-hidden="true">
                                                            <span data-i18n="zipcodeError">Gebe eine PLZ ein.</span>
                                                        </span>
                                                    </div><!-- col -->
                                                    <div class="col-lg-4 mg-t-10 mg-lg-t-0">
                                                        <label for="city" class="form-label"><span
                                                                data-i18n="city">Stadt:</span><span
                                                                class="tx-danger">*</span></label>
                                                        <input id="city" name="city" data-group="info"
                                                            data-validate-as="input" type="text" class="form-control"
                                                            required="">
                                                        <span role="alert" id="cityError" class="error" aria-hidden="true">
                                                            <span data-i18n="cityError">Gebe eine Stadt ein.</span>
                                                        </span>
                                                    </div><!-- col -->
                                                    <div class="col-lg-4 mg-t-10 mg-lg-t-0">
                                                        <label for="country" class="form-label"><span
                                                                data-i18n="country">Land:</span>
                                                            <span class="tx-danger">*</span></label>
                                                        <input id="country" name="country" data-group="info"
                                                            data-validate-as="input" type="text" class="form-control"
                                                            required="">
                                                        <span role="alert" id="countryError" class="error"
                                                            aria-hidden="true">
                                                            <span data-i18n="countryError">Gebe ein Land ein.</span>
                                                        </span>
                                                    </div><!-- col -->

                                                </div>
                                            </div>
                                        </div>

                                    </div><!-- /col -->
                                    <div class="col-lg-5 col-md-6 order-1 order-md-2" data-id="right-col">
                                        <!-- order overview -->
                                        <div data-id="order_overview_container_min"
                                            class="bg-light az-list-item d-md-none p-4 style=" display: flex;">
                                            <span class="subtitle">Bestellübersicht</span> <a href="#" data-id="max_link"
                                                class="tx-16 font-weight-bold"> €129,00 <i
                                                    class="fas fa-chevron-down tx-16"></i></a>
                                        </div>
                                        <div data-id="order_overview_container" class="bg-light p-4 d-md-block"
                                            style="display: none;">

                                            <div class="az-list-item">
                                                <span class="subtitle">Bestellübersicht</span> <a href="#"
                                                    data-id="min_link" class="d-flex d-md-none"><i
                                                        class="fas fa-chevron-up tx-16"></i></a>
                                            </div>

                                            <table class="table overview-table">
                                                <tbody>
                                                    <tr>
                                                        <td class="">1 Jahr Laufzeit
                                                        </td>
                                                        <td class="tx-right">€104,49
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="">MwSt @19,00%
                                                        </td>
                                                        <td class="tx-right">€24,51
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class=" tx-uppercase tx-bold">Heute fälliger Gesamtbetrag
                                                        </td>
                                                        <td class="tx-right">
                                                            <h4 class="tx-primary tx-bold">€129,00
                                                            </h4>
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>

                                            <div class="az-list-item">
                                                <span class="subtitle">Paketübersicht</span> <a href="#"
                                                    data-id="details">anpassen</a>
                                            </div>

                                            <div class="media product_description">
                                                <label>Paket:</label>
                                                <div class="media-body">
                                                    Familien Planer Premium
                                                </div>
                                            </div>
                                            <div class="media product_description">
                                                <label>Apps:</label>
                                                <div class="media-body">
                                                    Familien Kalender, Kontakt Manager, Aufgaben, Notizen
                                                </div>
                                            </div>
                                            <div class="media product_description">
                                                <label>Logins:</label>
                                                <div class="media-body">
                                                    5
                                                </div>
                                            </div>

                                        </div>
                                    </div> <!-- /col -->
                                </div> <!-- /row -->

                            </section>
                            <!-- review and agb step 2 -->
                            <section id="wizard-p-2" class="body d-none">
                                <!-- order title -->
                                <h4 class="text-center">Bestellung - Familien Planer Premium </h4>
                                <p class="text-center">Konto: demo_1@planblick.com</p>

                                <div class="row">
                                    <div class="col-lg-7 col-md-6 order-2 order-md-1" data-id="left-col">

                                        <div class="az-list-item">
                                            <span class="subtitle">Zahlungsmethode</span>
                                            <!--a href="#" data-id="address">anpassen</a-->
                                        </div>
                                        <p class="mg-b-20 mg-l-20">Rechnung
                                        </p>


                                        <div class="az-list-item">
                                            <span class="subtitle">Kontakt und Rechnungsadresse</span> <a href="#"
                                                data-id="address">anpassen</a>
                                        </div>
                                        <p class="mg-b-20 mg-l-20">
                                            demo_1@planblick.com<br>
                                            Max Mustermann<br>
                                            Drachenseestr. 10<br>
                                            81373, München Deutschland<br>
                                        </p>

                                        <div class="az-list-item">
                                            <span class="subtitle">Nutzungsbedingungen und Widerrufsrecht
                                            </span>
                                        </div>
                                        <p class="mg-b-0 mg-l-20">

                                            <input name="agb" value="agb" class="form-check-input" type="checkbox"
                                                id="purchase_agb" required="">
                                            <label class="form-check-label" for="agb">Ich nehme diese Bedingungen sowie die
                                                <a href="https://datenschutz.planblick.com/"
                                                    target="_blank">Datenschutzerklärung</a> und die <a href=""
                                                    target="_blank">Nutzungsbedingungen</a> von planBLICK zur Kenntnis und
                                                stimme ihnen zu. <span class="tx-danger">*</span>
                                            </label>

                                        </p>

                                    </div><!-- /col -->
                                    <div class="col-lg-5 col-md-6 order-1 order-md-2" data-id="right-col">
                                        <!-- order overview -->
                                        <div data-id="order_overview_container_min"
                                            class="bg-light az-list-item d-md-none p-4 style=" display: flex;">
                                            <span class="subtitle">Bestellübersicht</span> <a href="#" data-id="max_link"
                                                class="tx-16 font-weight-bold""> €129,00 <i class=" fas fa-chevron-down
                                                tx-16"></i></a>
                                        </div>
                                        <div data-id="order_overview_container" class="bg-light p-4 d-md-block"
                                            style="display: none;">

                                            <div class="az-list-item">
                                                <span class="subtitle">Bestellübersicht</span> <a href="#"
                                                    data-id="min_link" class="d-flex d-md-none"><i
                                                        class="fas fa-chevron-up tx-16"></i></a>
                                            </div>

                                            <table class="table overview-table">
                                                <tbody>
                                                    <tr>
                                                        <td class="">1 Jahr Laufzeit
                                                        </td>
                                                        <td class="tx-right">€104,49
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="">MwSt @19,00%
                                                        </td>
                                                        <td class="tx-right">€24,51
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class=" tx-uppercase tx-bold">Heute fälliger Gesamtbetrag
                                                        </td>
                                                        <td class="tx-right">
                                                            <h4 class="tx-primary tx-bold">€129,00
                                                            </h4>
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>

                                            <div class="az-list-item">
                                                <span class="subtitle">Paketübersicht</span> <a href="#"
                                                    data-id="details">anpassen</a>
                                            </div>

                                            <div class="media product_description">
                                                <label>Paket:</label>
                                                <div class="media-body">
                                                    Familien Planer Premium
                                                </div>
                                            </div>
                                            <div class="media product_description">
                                                <label>Apps:</label>
                                                <div class="media-body">
                                                    Familien Kalender, Kontakt Manager, Aufgaben, Notizen
                                                </div>
                                            </div>
                                            <div class="media product_description">
                                                <label>Logins:</label>
                                                <div class="media-body">
                                                    5
                                                </div>
                                            </div>

                                        </div>
                                    </div> <!-- /col -->
                                </div> <!-- /row -->
                            </section>
                            <!-- confirmation -->
                            <section id="success" style="display: none;">
                                <h4 class="text-center">Vielen Dank für deine Bestellung!</h4>

                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-lg-7 col-md-6" data-id="left-col">
                                            <div class="az-list-item">
                                                <span class="subtitle">Abgerechnet an</span>
                                            </div>
                                            <div class="billed-to">
                                                <p>
                                                    demo_1@planblick.com<br>
                                                    Max Mustermann<br>
                                                    Drachenseestr. 10<br>
                                                    81373, München Deutschland<br>
                                                </p>
                                            </div>

                                        </div><!-- /col -->
                                        <div class="col-lg-5 col-md-6" data-id="right-col">
                                            <div class="az-list-item">
                                                <span class="subtitle">Bestellinformationen</span>
                                            </div>
                                            <p class="invoice-info-row">
                                                <span>Referenz Nr</span>
                                                <span>GHT-673-00</span>
                                            </p>
                                            <p class="invoice-info-row">
                                                <span>Issue Date:</span>
                                                <span>03.05.2023</span>
                                            </p>

                                        </div> <!-- /col -->
                                    </div> <!-- /row -->


                                    <div class="table-responsive mg-t-40">
                                        <table class="table table-invoice">
                                            <thead>
                                                <tr>
                                                    <th colspan="2">Beschreibung</th>
                                                    <th class="tx-right wd-20p">Betrag</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td colspan="2">Familien Planer Premium
                                                        <p>
                                                            Laufzeit : 1 Jahr<br>
                                                            Apps: Familien Kalender, Kontakt Manager, Aufgaben, Notizen <br>
                                                            Logins: 5<br>
                                                        </p>
                                                    </td>
                                                    <td class="tx-right">€104,49</td>
                                                </tr>

                                                <tr>
                                                    <td rowspan="3" class="valign-middle">
                                                        <div class="invoice-notes">
                                                            <label class="az-content-label tx-13">Notizen</label>
                                                            <p>Bitte überweise die Zahlung auf unser Konto unten:<br>
                                                                Kontoinhaber: Martin Wallmeier <br>
                                                                Kontonummer: 2222222222222<br>
                                                            </p>
                                                        </div><!-- invoice-notes -->
                                                    </td>
                                                    <td class="tx-right">Zwischensumme</td>
                                                    <td class="tx-right">€104,49</td>
                                                </tr>
                                                <tr>
                                                    <td class="tx-right">MwSt @19,00%
                                                    </td>
                                                    <td class="tx-right">€24,51</td>
                                                </tr>

                                                <tr>
                                                    <td class="tx-right tx-uppercase tx-bold tx-inverse">Heute fälliger
                                                        Gesamtbetrag</td>
                                                    <td class="tx-right">
                                                        <h4 class="tx-primary tx-bold">€129,00</h4>
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div><!-- table-responsive -->

                                </div>


                            </section>
                        </div>
                        <div class="actions">
                            <ul role="menu" aria-label="Pagination" class="d-flex justify-content-between">
                                <li id="prev-btn"><a href="#" role="menuitem">&lt; Zurück</a></li>
                                <li id="print-btn" style="display: none;"><a href="#" onclick="window.print();return false;"
                                        role="menuitem">Drucken</a></li>
                                <li></li>
                                <li id="next-btn"><a href="#" role="menuitem">Fortfahren &gt; </a></li>
                                <li id="finish-btn" style="display: none;"><a target="_self" href="/dashboard/account-plan.html"
                                        role="menuitem">Zur Kontoübersicht &gt;</a></li>
                                <li id="submit-btn"><a href="#" role="menuitem">Zahlungspflichtig bestellen &gt;</a></li>

                            </ul>
                        </div>
                    </div>
                </form>
            </div> <!-- content-wrapper  -->

        </div><!-- container -->

    </div><!-- az-content -->

    {% include 'snippets/footer.tpl' %}
    <!-- az-footer -->

    {% with select2=false, bootstrapdatetimepicker=false, momentjs=false, semantic=false%}
    {% include 'snippets/global-script-include.tpl' %}
    {% endwith %}

    {% with circuit="system-account-address-circuit" %}
    {% include 'snippets/framework-script.tpl' %}
    {% endwith %}

    <script>

        let step = document.getElementsByClassName('body')
        let quickLinkDetails = $('[data-id="details"]')
        let quickLinkAddress = $('[data-id="address"]')
        let stepIndicator = $('.stepIndicator')
        let prevBtn = $('#prev-btn')
        let nextBtn = $('#next-btn')
        let submitBtn = $('#submit-btn')
        let actionBtns = $('#prev-btn, #next-btn, #submit-btn')
        let finishBtns = $('#print-btn, #finish-btn')
        let form = document.getElementsByTagName('form')[0]
        let succcessStep = $('#success')
        let current_step = 0
        let stepCount = 2
        let requiredCheckbox = "purchase_agb"

        fixStepContent(current_step)

        // listeners for action buttons and step indicators based on stepCount variable

        stepIndicator.click(function (e) {
            if (!validateForm()) return false;
            if ($(this).hasClass('done')){
                let x = $(this).find("a")
                current_step = x.attr('id')
                fixStepIndicator(current_step)
                fixStepContent(current_step)
            }
        });

        nextBtn.click(function (e) {
            if (!validateForm()) return false;
            current_step++;
            let previous_step = current_step - 1;
            if ((current_step > 0) && (current_step <= stepCount)) {
                prevBtn.show();
                step[current_step].classList.remove('d-none');
                step[previous_step].classList.add('d-none');
                if (current_step == stepCount) {
                    submitBtn.show();
                    nextBtn.hide();
                }
            }
            fixStepIndicator(current_step)
        });

        prevBtn.click(function (e) {
            if (!validateForm()) return false;
            if (current_step > 0) {
                current_step--;
                let previous_step = current_step + 1;
                prevBtn.hide();
                step[current_step].classList.remove('d-none');
                step[previous_step].classList.add('d-none');
                if (current_step < stepCount) {
                    submitBtn.hide();
                    nextBtn.show();
                    prevBtn.show();
                }
            }
            if (current_step == 0) {
                prevBtn.hide();
            }
            fixStepIndicator(current_step)
        });

        submitBtn.click(function (e) {
            if (!validateForm()) return false;
            alert("submit success")
            step[stepCount].classList.add('d-none');
            actionBtns.hide();
            finishBtns.show();
            $(".steps").hide()
            $("#success").show()
        });

        // listeners for quick edit links based on fixed step number

        quickLinkDetails.click(function (e) {
            e.preventDefault()
            goToStep(0)
        });

        quickLinkAddress.click(function (e) {
            e.preventDefault()
            goToStep(1)
        });


        // listener for toggling order details view for mobile

        $('[data-id="max_link"]').click(function (e) {
            $('[data-id="order_overview_container_min"]').toggle();
            $('[data-id="order_overview_container"]').toggle();
        });

        $('[data-id="min_link"]').click(function (e) {
            $('[data-id="order_overview_container_min"]').toggle();
            $('[data-id="order_overview_container"]').toggle();
        });


        // functions

        function goToStep (n) {
            // This function allows you to go to a specific page using the step number
            if (!validateForm()) return false;
            current_step = n
            fixStepIndicator(current_step)
            fixStepContent(current_step)
        }

        function fixStepIndicator(n) {
            // This function removes the "current" class of all steps and adds the "active" class on the current step
            var i, x = stepIndicator;
            for (i = 0; i < x.length; i++) {
                x[i].className = x[i].className.replace("current", "done");
            }
            x[n].className = " current stepIndicator";
        }

        function fixStepContent(n) {
            // This function removes the "visible" class of all step content and adds the "visible" class on the current step content and shows the correct action buttons:
            var i, x = step;
            for (i = 0; i < x.length; i++) {
                x[i].className = x[i].className.replace("body", "body d-none");
            }
            x[n].className = "body";
            if (n == 0) {
            prevBtn.hide();
            nextBtn.show();
            submitBtn.hide();
            }
            if (n < stepCount && n !=0) {
                    submitBtn.hide();
                    nextBtn.show();
                    prevBtn.show();
                }
                if (n == stepCount) {
                    submitBtn.show();
                    nextBtn.hide();
                    prevBtn.show();
                }
        }


        function validateForm() {
            return true
            // This function deals with validation of the form fields
            var x, y, i, valid = true;
            x = $(".body");
            y = x[current_step].getElementsByTagName("input");
            for (i = 0; i < y.length; i++) {
                // If a field is empty
                if (y[i].value == "") {
                    y[i].className += " invalid";
                    valid = false;
                    alert("please complete all required fields here before continuing")
                } // or not checked...
                if (y[i].id == requiredCheckbox && !( $('#' + requiredCheckbox).is(':checked') )) {
                    y[i].className += " invalid";
                    valid = false;
                    alert("please complete all required fields here before continuing")
                }
            }
            if (valid) {
                document.getElementsByClassName("stepIndicator")[current_step].className += " finish";
                for (i = 0; i < y.length; i++) {
                    y[i].classList.remove('invalid');
                }
            }
            return valid;
        }

    </script>

</body>

</html>